package com.supervision.knowsub.controller;

import com.supervision.knowsub.service.RagService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "RAG问答")
@RestController
@RequestMapping("rag")
@RequiredArgsConstructor
public class RagController {

    private final RagService ragService;



    @Operation(summary = "问答")
    @GetMapping("question")
    public String ask(String question) {
        return ragService.ask(question);
    }

}
